# $Revision: 1.28 $, $Date: 2008/11/10 22:18:33 $
Summary:	C++ wrappers for libgnomecanvas
Summary(pl.UTF-8):	Interfejsy C++ dla libgnomecanvas
Name:		libgnomecanvasmm
Version:	2.22.0
Release:	2
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvasmm/2.22/%{name}-%{version}.tar.bz2
# Source0-md5:	d5b08af567fe1df9752fbdae980bf23c
URL:		http://www.gnome.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtkmm-devel >= 2.12.0
BuildRequires:	libgnomecanvas-devel >= 2.19.2
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	pkgconfig
Requires:	libgnomecanvas >= 2.19.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
C++ wrappers for libgnomecanvas.

%description -l pl.UTF-8
Interfejsy C++ dla libgnomecanvas.

%package devel
Summary:	Devel files for libgnomecanvasmm
Summary(pl.UTF-8):	Pliki nagłówkowe dla libgnomecanvasmm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gtkmm-devel >= 2.12.0
Requires:	libart_lgpl-devel >= 2.3.16
Requires:	libgnomecanvas-devel >= 2.19.2

%description devel
Devel files for libgnomecanvasmm.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libgnomecancasmm.

%package static
Summary:	libgnomecanvasmm static library
Summary(pl.UTF-8):	Biblioteka statyczna libgnomecanvasmm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
libgnomecanvasmm static library.

%description static -l pl.UTF-8
Biblioteka statyczna libgnomecanvasmm.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I scripts
%{__autoconf}
%{__automake}
%configure \
	--enable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_libdir}/libgnomecanvasmm-2.6.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgnomecanvasmm-2.6.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgnomecanvasmm-2.6.so
%{_libdir}/libgnomecanvasmm-2.6.la
%{_libdir}/%{name}-2.6
%{_includedir}/%{name}-2.6
%{_pkgconfigdir}/%{name}-2.6.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgnomecanvasmm-2.6.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libgnomecanvasmm.spec,v $
Revision 1.28  2008/11/10 22:18:33  megabajt
- release 2

Revision 1.27  2008/04/16 16:23:57  qboosh
- ghost soname symlink

Revision 1.26  2008-04-16 13:51:15  sls
- ver. 2.22.0

Revision 1.25  2007-09-14 22:09:14  megabajt
- updated to 2.20.0

Revision 1.24  2007/08/06 00:32:48  wolvverine
- rel.4

Revision 1.23  2007/06/14 18:22:35  arekm
- rel 3

Revision 1.22  2007/03/17 22:54:10  megabajt
- release 2 to acquire P:/R: libtool(*.la)

Revision 1.21  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.19  2006/08/18 18:51:57  freetz
- 2.16.0, updated deps

Revision 1.18  2006/08/11 20:19:07  freetz
- rel.3, use HEAD deps

Revision 1.17  2006/05/24 08:54:01  qboosh
- merged deps update from AC-branch

Revision 1.15.2.2  2006/05/18 21:07:22  baggins
- release 2
- strict reqs

Revision 1.15.2.1  2006/05/15 13:17:48  baggins
- merged from HEAD

Revision 1.16  2006/03/16 17:13:09  freetz
- 2.14.0

Revision 1.15  2005/09/09 12:49:36  freetz
- 2.12.0, bumped BRs

Revision 1.14  2005/03/11 21:33:54  grzegol
- updated to 2.10.0
- removed outdated va patch

Revision 1.13  2004/12/25 17:40:50  qboosh
- unified

Revision 1.12  2004/09/18 09:47:53  aflinta
- up to version 2.8.0

Revision 1.11  2004/05/18 11:06:55  grzegol
- updated to 2.6.1

Revision 1.10  2004/04/19 20:00:56  qboosh
- added va patch (fixes build on alpha); release 2

Revision 1.9  2004/04/19 19:22:04  qboosh
- libtoolize and co. (fixes build on amd64)

Revision 1.8  2004/04/12 22:16:03  grzegol
- merged from DEVEL and updated to 2.6.0

Revision 1.7  2004/03/10 10:36:28  andree
- copy config.sub

Revision 1.6.2.8  2004/04/09 15:03:26  grzegol
- updated to 2.5.2

Revision 1.6.2.7  2004/03/31 18:13:14  grzegol
- rel. 4 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.6.2.6  2004/03/15 20:16:55  grzegol
- rel. 3 to rebuild with glibmm-2.3.7/gtkmm-2.3.6

Revision 1.6.2.5  2004/03/04 16:31:14  grzegol
- rel. 2 to rebuild with gtkmm-2.3.5

Revision 1.6.2.4  2004/02/14 18:05:21  grzegol
- updated to 2.5.1

Revision 1.6.2.3  2004/02/07 15:34:38  grzegol
- rel. 3 to rebuild with glibmm-2.3.4/gtkmm-2.3.3

Revision 1.6.2.2  2004/01/24 15:30:37  grzegol
- rel. 2 to rebuild with glibmm-2.3.3/gtkmm-2.3.2

Revision 1.6.2.1  2003/12/29 17:01:41  grzegol
- updated to 2.5.0
- added %%doc

Revision 1.6  2003/10/09 13:19:09  qboosh
- BR: pkgconfig

Revision 1.5  2003/10/09 11:53:23  qboosh
- -devel deps

Revision 1.4  2003/08/24 16:35:44  grzegol
- updated to 2.0.1

Revision 1.3  2003/05/28 12:59:30  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 05:49:51  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/04/10 00:46:28  grzegol
- new
